# Serialized Form

- ## Package com.beanit.asn1bean.ber

  - ### Class com.beanit.asn1bean.ber.BerLength extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### val

            int val

  - ### Class com.beanit.asn1bean.ber.BerTag extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### tagBytes

            byte[] tagBytes

      - #### tagClass

            int tagClass

      - #### primitive

            int primitive

      - #### tagNumber

            int tagNumber

- ## Package com.beanit.asn1bean.ber.types

  - ### Class com.beanit.asn1bean.ber.types.BerAny extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### value

            byte[] value

  - ### Class com.beanit.asn1bean.ber.types.BerBitString extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### value

            byte[] value

      - #### numBits

            int numBits

      - #### code

            byte[] code

  - ### Class com.beanit.asn1bean.ber.types.BerBoolean extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### value

            boolean value

      - #### code

            byte[] code

  - ### Class com.beanit.asn1bean.ber.types.BerDate extends BerTime implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.BerDateTime extends BerTime implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.BerDuration extends BerTime implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.BerEmbeddedPdv extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### code

            byte[] code

      - #### identification

            BerEmbeddedPdv.Identification identification

      - #### dataValueDescriptor

            BerObjectDescriptor dataValueDescriptor

      - #### dataValue

            BerOctetString dataValue

  - ### Class com.beanit.asn1bean.ber.types.BerEmbeddedPdv.Identification extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### code

            byte[] code

      - #### syntaxes

            BerEmbeddedPdv.Identification.Syntaxes syntaxes

      - #### syntax

            BerObjectIdentifier syntax

      - #### presentationContextId

            BerInteger presentationContextId

      - #### contextNegotiation

            BerEmbeddedPdv.Identification.ContextNegotiation contextNegotiation

      - #### transferSyntax

            BerObjectIdentifier transferSyntax

      - #### fixed

            BerNull fixed

  - ### Class com.beanit.asn1bean.ber.types.BerEmbeddedPdv.Identification.ContextNegotiation extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### code

            byte[] code

      - #### presentationContextId

            BerInteger presentationContextId

      - #### transferSyntax

            BerObjectIdentifier transferSyntax

  - ### Class com.beanit.asn1bean.ber.types.BerEmbeddedPdv.Identification.Syntaxes extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### code

            byte[] code

      - #### abstract_

            BerObjectIdentifier abstract_

      - #### transfer

            BerObjectIdentifier transfer

  - ### Class com.beanit.asn1bean.ber.types.BerEnum extends BerInteger implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.BerGeneralizedTime extends BerVisibleString implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.BerInteger extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### value

            java.math.BigInteger value

      - #### code

            byte[] code

  - ### Class com.beanit.asn1bean.ber.types.BerNull extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.BerObjectIdentifier extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### value

            int[] value

      - #### code

            byte[] code

  - ### Class com.beanit.asn1bean.ber.types.BerOctetString extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### value

            byte[] value

  - ### Class com.beanit.asn1bean.ber.types.BerReal extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### value

            double value

      - #### code

            byte[] code

  - ### Class com.beanit.asn1bean.ber.types.BerTime extends BerVisibleString implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.BerTimeOfDay extends BerTime implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.BerUtcTime extends BerVisibleString implements Serializable

    serialVersionUID:
      1L

- ## Package com.beanit.asn1bean.ber.types.string

  - ### Class com.beanit.asn1bean.ber.types.string.BerBMPString extends BerOctetString implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.string.BerGeneralString extends BerOctetString implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.string.BerGraphicString extends BerOctetString implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.string.BerIA5String extends BerOctetString implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.string.BerNumericString extends BerOctetString implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.string.BerObjectDescriptor extends BerGraphicString implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.string.BerPrintableString extends BerOctetString implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.string.BerTeletexString extends BerOctetString implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.string.BerUniversalString extends BerOctetString implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.string.BerUTF8String extends BerOctetString implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.string.BerVideotexString extends BerOctetString implements Serializable

    serialVersionUID:
      1L

  - ### Class com.beanit.asn1bean.ber.types.string.BerVisibleString extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### value

            byte[] value